package envoy.client.ui.settings;

import java.awt.event.ActionListener;

import javax.swing.JPanel;

/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>SettingsPanel.java</strong><br>
 * Created: <strong>20 Dec 2019</strong><br>
 *
 * @author Kai S. K. Engelbart
 */
public abstract class SettingsPanel extends JPanel {

	private static final long serialVersionUID = -3069212622468626050L;

	/**
	 * @return an {@link ActionListener} that should be invoked when the OK button
	 *         is pressed in the {@link SettingsScreen}
	 */
	public abstract ActionListener getOkButtonAction();
}
